import type { PlayOptions } from '@pixi/sound';
import type { Service } from '../types';

/** No-op audio service used when sound is disabled. */
export default class NullAudio implements Service
{
    public name = 'NullAudio';
    public readonly serviceType = 'audio';

    public play(_name?: string, _options?: PlayOptions): void {}
    public stop(_name?: string): void {}
    public pause(): void {}
    public dispose(): void {}
}
